[Libreoffice-commits] core.git: Branch 'libreoffice-4-4' - 3 commits - bin/run sfx2/source

Michael Stahl mstahl at redhat.com
Fri Dec 5 03:08:17 PST 2014


 bin/run                          |   28 +++++++++++++++++++++++++---
 sfx2/source/doc/sfxbasemodel.cxx |    1 +
 2 files changed, 26 insertions(+), 3 deletions(-)

New commits:
commit 39ce75b14650819f88362b0e2fd2db9b1a8dcf71
Author: Michael Stahl <mstahl at redhat.com>
Date:   Thu Dec 4 21:46:44 2014 +0100

    sfx2: reset the error code before 2nd load with repair (related: fdo#56245)
    
    (regression from c7c385bb8e42d2051bcf05fd75b2146fe9852317)
    
    Change-Id: I39eca96b45ad974a7e1a6913aa811c6b03ceced7
    (cherry picked from commit ef1f3b6713118c5eb43da7fa85caf40107b468c1)

diff --git a/sfx2/source/doc/sfxbasemodel.cxx b/sfx2/source/doc/sfxbasemodel.cxx
index cbefd53..7d72879 100644
--- a/sfx2/source/doc/sfxbasemodel.cxx
+++ b/sfx2/source/doc/sfxbasemodel.cxx
@@ -1882,6 +1882,7 @@ void SAL_CALL SfxBaseModel::load(   const Sequence< beans::PropertyValue >& seqA
                     pMedium->ResetError();
                     pMedium->CloseStorage();
                     m_pData->m_pObjectShell->PrepareSecondTryLoad_Impl();
+                    nError = ERRCODE_NONE;
                     if ( !m_pData->m_pObjectShell->DoLoad(pMedium) )
                         nError=ERRCODE_IO_GENERAL;
                     if (m_pData->m_pObjectShell->GetErrorCode())
commit 564f74ce4f70211290c93881f3c0e4e5f1587b2e
Author: Michael Stahl <mstahl at redhat.com>
Date:   Thu Dec 4 16:08:42 2014 +0100

    bin/run: add WNT support
    
    Change-Id: I9dd1ae23d27c5733770314ca907b5d36b749fd74
    (cherry picked from commit 79233d98d98df1a56e623f35806183071499b194)

diff --git a/bin/run b/bin/run
index e61adec..382ff73 100755
--- a/bin/run
+++ b/bin/run
@@ -9,7 +9,29 @@
 
 # simple wrapper script to run non-installed executables from workdir
 
-if [ $(uname) = Darwin ]; then
+if uname | grep -i CYGWIN >/dev/null; then
+
+dir=$(realpath "$(pwd)")
+
+while test ! -d "${dir}/instdir/program" ; do
+    if test "${dir}" = "/"; then
+        echo "error: cannot find \"program\" dir from \"$(pwd)\""
+        exit 1
+    fi
+    dir=$(realpath "${dir}/..")
+done
+
+exedir="${dir}"/workdir/LinkTarget/Executable
+export URE_BOOTSTRAP=file:///$(cygpath -m "${dir}")/instdir/program/fundamental.ini
+export PATH=${PATH:+$PATH:}"${dir}"/instdir/program
+
+echo "setting URE_BOOTSTRAP to: ${URE_BOOTSTRAP}"
+echo "setting search path to: ${PATH}"
+echo "execing: ${exedir}/$1"
+
+exec "${exedir}"/$@
+
+elif [ $(uname) = Darwin ]; then
 
 dir=$(pwd)
 
commit 375e8582dbd1fb82bdd90959fbdc325304e08802
Author: Michael Stahl <mstahl at redhat.com>
Date:   Thu Dec 4 15:33:24 2014 +0100

    bin/run: Adapt to run on Debian so-called GNU/Linux systems too
    
    Amazingly Debian does not ship the realpath(1) from coreutils but has a
    separate source package for it, and it's not installed by default.
    Use readlink -f instead.
    
    Change-Id: I6e97c851e6ab96dac08771145e2ab39dd9c11c22
    (cherry picked from commit 9eda6b307ba6c5426c40c4cad95e07e43858230e)

diff --git a/bin/run b/bin/run
index dffa9cf..e61adec 100755
--- a/bin/run
+++ b/bin/run
@@ -30,14 +30,14 @@ exec "${exedir}"/$@
 
 else
 
-dir=$(realpath "$(pwd)")
+dir=$(readlink -f "$(pwd)")
 
 while test ! -d "${dir}/instdir/program" ; do
     if test "${dir}" = "/"; then
         echo "error: cannot find \"program\" dir from \"$(pwd)\""
         exit 1
     fi
-    dir=$(realpath "${dir}/..")
+    dir=$(readlink -f "${dir}/..")
 done
 
 exedir="${dir}"/workdir/LinkTarget/Executable


More information about the Libreoffice-commits mailing list